## protobuf 2.0.3-2.2-maemo1

=== examples/Makefile ===
# See README.txt.

.PHONY: all cpp java python clean

all: cpp java python

cpp:    add_person_cpp    list_people_cpp
java:   add_person_java   list_people_java
python: add_person_python list_people_python

clean:
	rm -f add_person_cpp list_people_cpp add_person_java list_people_java add_person_python list_people_python
	rm -f javac_middleman AddPerson*.class ListPeople*.class com/example/tutorial/*.class
	rm -f protoc_middleman addressbook.pb.cc addressbook.pb.h addressbook_pb2.py com/example/tutorial/AddressBookProtos.java
	rm -f *.pyc
	rmdir com/example/tutorial 2>/dev/null || true
	rmdir com/example 2>/dev/null || true
	rmdir com 2>/dev/null || true

protoc_middleman: addressbook.proto
	protoc --cpp_out=. --java_out=. --python_out=. addressbook.proto
	@touch protoc_middleman

add_person_cpp: add_person.cc protoc_middleman
	c++ add_person.cc addressbook.pb.cc -lprotobuf -o add_person_cpp

list_people_cpp: list_people.cc protoc_middleman
	c++ list_people.cc addressbook.pb.cc -lprotobuf -o list_people_cpp

javac_middleman: AddPerson.java ListPeople.java protoc_middleman
	javac AddPerson.java ListPeople.java com/example/tutorial/AddressBookProtos.java
	@touch javac_middleman

add_person_java: javac_middleman
	@echo "Writing shortcut script add_person_java..."
	@echo '#! /bin/sh' > add_person_java
	@echo 'java -classpath .:$$CLASSPATH AddPerson "$$@"' >> add_person_java
	@chmod +x add_person_java

list_people_java: javac_middleman
	@echo "Writing shortcut script list_people_java..."
	@echo '#! /bin/sh' > list_people_java
	@echo 'java -classpath .:$$CLASSPATH ListPeople "$$@"' >> list_people_java
	@chmod +x list_people_java

add_person_python: add_person.py protoc_middleman
	@echo "Writing shortcut script add_person_python..."
	@echo '#! /bin/sh' > add_person_python
	@echo './add_person.py "$$@"' >> add_person_python
	@chmod +x add_person_python

list_people_python: list_people.py protoc_middleman
	@echo "Writing shortcut script list_people_python..."
	@echo '#! /bin/sh' > list_people_python
	@echo './list_people.py "$$@"' >> list_people_python
	@chmod +x list_people_python

=== debian/changelog ===
protobuf (2.0.3-2.2-maemo1) unstable; urgency=low

  * Packaging for maemo5

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 21 Apr 2010 12:01:20 +0300

protobuf (2.0.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS from -2.1: don't fail when we can't clean up the java build,
    such as when openjdk isn't installed.
  * Disable parallel builds, because libtool is made of fail (if binary-arch
    and build-indep run concurrently, we relink a library while it's being
    used; that doesn't work so well).

 -- Julien Cristau <jcristau@debian.org>  Tue, 02 Jun 2009 16:19:00 +0200

protobuf (2.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium urgency for RC bugfix.
  * Fix building of test suites on ia64: use __clone2() instead of clone(),
    which doesn't exist there (closes: #530606).  Patch by Sune Vuorela.
  * Only build the java and python bindings when building the arch:all
    packages.  Move openjdk to Build-Depends-Indep.  This should allow
    building on hppa, which doesn't have openjdk.  Based on a patch by Sune
    Vuorela (but any bugs are mine).

 -- Julien Cristau <jcristau@debian.org>  Tue, 02 Jun 2009 14:45:32 +0200

protobuf (2.0.3-2) unstable; urgency=low

  * Fix the binary-arch/binary-common interaction by only calling
    dh_pysupport when we are in arch-independent mode (DH_OPTIONS=-i)
  * Remove the extraneous conflicts/replace with libprotobuf2/libprotobuf0
    from libprotobuf3, as they share no files (and have different SONAMES)
    (Closes: #523992)

 -- Iustin Pop <iusty@k1024.org>  Tue, 14 Apr 2009 09:35:39 +0200

protobuf (2.0.3-1) unstable; urgency=low

  [ Ehren Kret ]
  * New Upstream Version (Closes: #522470)
  * Applied patch proposed in bug#503807 provided by
    Torsten Werner <twerner@debian.org> (Closes: #503807)

  [ Iustin Pop ]
  * Policy version 3.8.1, added handling for the nocheck DEB_BUILD_OPTIONS flag
  * Fix lintian warnings (copyright-with-old-dh-make-debian-copyright,
    wrong-section-according-to-package-name)
  * The new upstream version build successfully (and passes the
    unittest) with gcc-snapshort, so marking bug#505411 as fixed
    (Closes: #505411)

 -- Iustin Pop <iusty@k1024.org>  Thu, 09 Apr 2009 15:01:36 +0200

protobuf (2.0.3-0ubuntu2) jaunty; urgency=low

  * src/google/protobuf/compiler/python/python_generator.cc:
    removed line in code generator that added "#!/usr/bin/python2.4"
    to every python file created, (LP: #348243) should be fixed in 
    upstream revision 2.0.4.

 -- Brian Murray <brian@ubuntu.com>  Thu, 26 Mar 2009 15:47:31 -0700

protobuf (2.0.3-0ubuntu1) jaunty; urgency=low

  * Merge from new upstream version (LP: #309237), remaining changes:
     * debian/control Moving python-support from Build-Depends-Indep
       to Build-Depends to fix build failures.  
  * Fix FTBFS on ia64 architecture due to lack of clone(2)
     - src/gtest/internal/gtest-port.h (LP: #308829)
       disable death tests if architecture is IA64
       adapted from gtest upstream fix at:
       http://codereview.appspot.com/8690/show
  * Fix FTBFS on x64 architectures due to python 2.x int vs long issue
    test expects return type long but on x64 architecture return type 
    unpacks to int
     -python/google/protobuf/internal/decoder_test.py
      explicitly type the result value as long 
     taken from upstream discussion:
     http://groups.google.com/group/protobuf/browse_thread
         /thread/2357176cb1f50e10/

 -- Manny Vindiola <mannyv@gmail.com>  Thu, 18 Dec 2008 01:26:29 -0500

protobuf (2.0.2-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #302680), remaining changes:
    + debian/control Moving python-support from Build-Depends-Indep 
      to Build-Depends to fix build failures. 
      change kept from 2.0.0~b-3ubuntu1

 -- Manny Vindiola <mannyv@gmail.com>  Wed, 26 Nov 2008 21:42:18 -0500

protobuf (2.0.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #501349)

 -- Iustin Pop <iusty@k1024.org>  Tue, 07 Oct 2008 21:51:47 +0200

protobuf (2.0.1-2) unstable; urgency=low

  * Fix the java .jar symlink (Closes: #501490)

 -- Iustin Pop <iusty@k1024.org>  Sat, 04 Oct 2008 17:05:01 +0200

protobuf (2.0.1-1) unstable; urgency=low

  * New Upstream Version (Closes: #499925)

 -- Iustin Pop <iusty@k1024.org>  Sun, 28 Sep 2008 18:14:16 +0200

protobuf (2.0.0~b-3ubuntu2) intrepid; urgency=low

  * src/google/protobuf/compiler/cpp/cpp_enum.cc: added patch to stop
    generating trailing comma after enum definition. (Going to be applied
    upstream soon: http://tinyurl.com/3l72co) (LP: #264124)
  * src/google/protobuf/descriptor.pb.h: Run 'bash
    generate_descriptor_proto.sh'.

 -- Elliot Murphy <elliot@canonical.com>  Tue, 23 Sep 2008 17:48:44 -0400

protobuf (2.0.0~b-3ubuntu1) intrepid; urgency=low

  * Moving python-support from Build-Depends-Indep to Build-Depends to
    fix build failures. (LP: #262665)

 -- Elliot Murphy <elliot@canonical.com>  Fri, 29 Aug 2008 04:40:28 -0400

protobuf (2.0.0~b-3) unstable; urgency=low

  * Remove DM-Upload-Allowed for sponsoring

 -- Iustin Pop <iusty@k1024.org>  Sun, 03 Aug 2008 11:01:44 +0200

protobuf (2.0.0~b-2) unstable; urgency=low

  * Mark the different license for some of the files, and fix the long
    description (it contained UTF-8 chars), both thanks to Vincent Bernat
    <bernat@debian.org>
  * Cleanup debian/rules (removed commented out debhelper lines)
  * Improve the java build process, as suggested by Matthew Johnson
    <mjj29@debian.org>

 -- Iustin Pop <iusty@k1024.org>  Sat, 02 Aug 2008 14:12:59 +0200

protobuf (2.0.0~b-1) unstable; urgency=low

  * Initial release (Closes: #489842)

 -- Iustin Pop <iusty@k1024.org>  Tue, 08 Jul 2008 20:03:51 +0200

=== debian/control ===
Source: protobuf
Section: devel
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7), python (>= 2.5), python-setuptools, xmlto
Build-Depends-Indep: python-support (>= 0.6)
Standards-Version: 3.8.1
Homepage: http://code.google.com/p/protobuf/
Vcs-Browser: http://git.debian.org/?p=collab-maint/protobuf.git
Vcs-Git: git://git.debian.org/git/collab-maint/protobuf.git

Package: libprotobuf3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: protocol buffer C++ library
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the runtime libraries needed for C++ applications and
 the protocol buffer compiler

Package: libprotobuf-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf3
Description: protocol buffer C++ library (development headers)
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the development libraries needed for writing C++
 applications.

Package: protobuf-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf3 (= ${binary:Version})
Description: compiler for protocol buffer definition files
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the protocol buffer compiler that is used for
 translating from .proto files (containing the definitions) to the language
 binding for the supported languages.

Package: python-protobuf
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Recommends: protobuf-compiler
Description: Python bindings for protocol buffers
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data - similar to XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then you can
 use special generated source code to easily write and read your structured
 data to and from a variety of data streams and using a variety of languages.
 You can even update your data structure without breaking deployed programs
 that are compiled against the "old" format.
 .
 Google uses Protocol Buffers for almost all of its internal RPC protocols and
 file formats.
 .
 This package contains the Python bindings for the protocol buffers. You will
 need the protoc tool (in the protobuf-compiler package) to compile your
 definition to Python classes, and then the modules in this package will allow
 you to use those classes in your programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# DEB_BUILD_OPTIONS handling - is this really needed since dpkg-dev 1.14.17?
# note that the strip option is handled directly by dh_strip
CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#    MAKEFLAGS += -j$(NUMJOBS)
#endif
# end DEB_BUILD_OPTIONS

version=0.0.0
major=0

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	dh_auto_configure
	touch configure-stamp


#Architecture
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp

	# Add here commands to compile the arch part of the package.
	$(MAKE)

	# run the test suite
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif

	# build the protoc manpage
	#xmlto man debian/protoc.xml

	touch $@

build-indep: build-indep-stamp
build-indep-stamp: build-arch-stamp

	# python bindings
	cd python && python2.5 setup.py build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd python && python2.5 setup.py test
endif


	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	# remove the built manpage
	rm -f protoc.1

	cd python && \
		python2.5 setup.py clean --all ;\
		rm -rf protobuf.egg-info

	dh_clean

install: install-indep install-arch
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	# python bindings
	cd python && \
		python2.5 setup.py install --no-compile \
			--root=$(CURDIR)/debian/python-protobuf ; \
		find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -print0 | \
			xargs -r0 rm -f

	dh_install -i


install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install --sourcedir=debian/tmp -s

	# convert doc dir to symlink for the dev package
	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
	ln -s libprotobuf3 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGES.txt
#	dh_installdocs
#	dh_installexamples
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
ifeq ($(DH_OPTIONS),-i)
	dh_pysupport
endif
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# code.google.com/p/$project/downloads/list has links to $project.googlecode.com/files/
opts="versionmangle=s/beta/~b/" http://code.google.com/p/protobuf/downloads/list \
    http://protobuf.googlecode.com/files/protobuf-(.*)\.tar\.gz

## protobuf 2.3.0

=== debian/changelog ===
protobuf (2.3.0-4) unstable; urgency=low

  * Thanks to Peter Palfrader for finding the two bugs below:
  * Disable setuptools auto-download in case of wrong dependencies, and
    fix the current dependency version (Closes: #593269)
  * Fix the python cleanup rule, by always running the individual steps
    (Closes: #593268)

 -- Iustin Pop <iustin@debian.org>  Wed, 18 Aug 2010 22:54:42 +0200

protobuf (2.3.0-3) unstable; urgency=low

  * Acknowledge NMU (thanks Giuseppe!)
  * Update packaging to comply with policy 3.9.1 (.la files are still
    shipped though)
  * Updated watch file to account for code.google.com brokeness

 -- Iustin Pop <iustin@debian.org>  Sat, 31 Jul 2010 17:47:24 -0400

protobuf (2.3.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depends on on default-jdk and set JAVA_HOME to
    /usr/lib/jvm/default-java (Closes: #587732)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 10 Jul 2010 18:37:19 +0200

protobuf (2.3.0-2) unstable; urgency=low

  * Fix "FTBFS on armel (test-suite failure)" by disabling optimizations
    of a troublesome function (idea taken from #580334) (Closes: #572923)
  * Standards version 3.8.4 (no changes needed)
  * Update my address to the @debian.org one

 -- Iustin Pop <iustin@debian.org>  Mon, 24 May 2010 18:04:17 +0200

protobuf (2.3.0-1) unstable; urgency=low

  * New upstream version.
  * Split out libprotobuf-lite from the libprotobuf package.
  * Add CFLAGS specific to sh4; closes: #560322.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 25 Jan 2010 18:14:49 -0500

protobuf (2.2.0a-1) unstable; urgency=low

  * Acknowledge NMUs (thanks Dirk!)
  * Convert the source format to 3.0 (quilt)

 -- Iustin Pop <iusty@k1024.org>  Sun, 06 Dec 2009 16:27:40 +0100

protobuf (2.2.0a-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release made this evening correction major SONAME
  * debian/control: Updated major version to 5 (Closes: #556563)
  * debian/rules: Updated two links to use libproto*5
  * debian/libprotobuf5.shlibs: Added
  * debian/libprotoc5.shlibs: Added

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Nov 2009 21:47:41 -0600

protobuf (2.2.0-0.1) unstable; urgency=low

  * Non-maintainer upload coordinated with maintainer
  * New upstream release (Closes: #551931)

  * debian/libprotobuf-install: Added 'usr/lib/pkgconfig/*' to have
    pkg-config support files installed

  * debian/control: Added (= ${binary:Version}) to Depends for -dev
    packages for tighter link to underlying libraries [lintian warning]
  * debian/control: Updated StandardVersion: to 3.8.3

  * debian/control: Major version not incremented as upstream kept it at 4

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Nov 2009 06:44:22 -0600

protobuf (2.1.0-1) unstable; urgency=low

  * New Upstream Version
  * Fix "Please split out libprotoc.so.N out of the libprotobufN
    package" (Closes: #524087)
  * Update Standards Version to 3.8.2 (no changes needed, sections are already
    correct and the rest doesn't affect this package)

 -- Iustin Pop <iusty@k1024.org>  Wed, 24 Jun 2009 00:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: protobuf
 Section: devel
 Priority: extra
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 7), python (>= 2.5), python-setuptools, xmlto
+Maintainer: Iustin Pop <iustin@debian.org>
+Uploaders: Robert S. Edmonds <edmonds@debian.org>
+Build-Depends: debhelper (>= 7), python (>= 2.3.5-11),
+ python-setuptools (>= 0.6c9), xmlto, ant, zlib1g-dev,
+ default-jdk, unzip
 Build-Depends-Indep: python-support (>= 0.6)
-Standards-Version: 3.8.1
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/protobuf/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/protobuf.git
 Vcs-Git: git://git.debian.org/git/collab-maint/protobuf.git
 
-Package: libprotobuf3
+Package: libprotobuf6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: protocol buffer C++ library
+Description: protocol buffers C++ library
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -24,14 +27,12 @@
  Google uses Protocol Buffers for almost all of its internal RPC protocols and
  file formats.
  .
- This package contains the runtime libraries needed for C++ applications and
- the protocol buffer compiler
+ This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-dev
+Package: libprotobuf-lite6
 Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf3
-Description: protocol buffer C++ library (development headers)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: protocol buffers C++ library (lite version)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -43,12 +44,72 @@
  Google uses Protocol Buffers for almost all of its internal RPC protocols and
  file formats.
  .
- This package contains the development libraries needed for writing C++
- applications.
+ This package contains the runtime library needed for C++ applications whose
+ message definitions have the "lite runtime" optimization setting.
+
+Package: libprotobuf-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libprotobuf6 (= ${binary:Version}), libprotobuf-lite6 (= ${binary:Version})
+Description: protocol buffers C++ library (development files)
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the development headers and static libraries needed for
+ writing C++ applications.
+
+Package: libprotoc6
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: protocol buffers compiler library
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the runtime library needed for the protocol buffer
+ compiler.
+
+Package: libprotoc-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libprotoc6 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+Replaces: libprotobuf-dev (<< 2.1.0)
+Breaks: libprotobuf-dev (<< 2.1.0)
+Description: protocol buffers compiler library (development files)
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the development headers and static library needed for
+ writing protobuf compilers.
 
 Package: protobuf-compiler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc6 (= ${binary:Version})
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -88,3 +149,24 @@
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
 
+Package: libprotobuf-java
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java5-runtime
+Recommends: protobuf-compiler
+Section: java
+Description: Java bindings for protocol buffers
+ Protocol buffers are a flexible, efficient, automated mechanism for
+ serializing structured data - similar to XML, but smaller, faster, and
+ simpler. You define how you want your data to be structured once, then you can
+ use special generated source code to easily write and read your structured
+ data to and from a variety of data streams and using a variety of languages.
+ You can even update your data structure without breaking deployed programs
+ that are compiled against the "old" format.
+ .
+ Google uses Protocol Buffers for almost all of its internal RPC protocols and
+ file formats.
+ .
+ This package contains the Java bindings for the protocol buffers. You will
+ need the protoc tool (in the protobuf-compiler package) to compile your
+ definition to Java classes, and then the modules in this package will allow
+ you to use those classes in your programs.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,14 @@
 else
     CFLAGS += -O2
 endif
+
+# Renesas SH(sh4) need -mieee option.
+# If this option is not effective, NaN test failed.
+ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
+  CFLAGS += -mieee
+  CXXFLAGS += -mieee
+endif
+
 #ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 #    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 #    MAKEFLAGS += -j$(NUMJOBS)
@@ -57,7 +65,7 @@
 endif
 
 	# build the protoc manpage
-	#xmlto man debian/protoc.xml
+	xmlto man debian/protoc.xml
 
 	touch $@
 
@@ -65,12 +73,15 @@
 build-indep-stamp: build-arch-stamp
 
 	# python bindings
-	cd python && python2.5 setup.py build
+	cd python && python setup.py build
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd python && python2.5 setup.py test
+	cd python && python setup.py test
 endif
 
+	# java bindings
+	# this code mimics mvn package. This should be changed when maven is supported by debian.
+	$(SHELL) ./debian/ant-wrapper -f debian/java-build.xml jar
 
 	touch $@
 
@@ -79,15 +90,18 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
+	# C++ bindings cleanups
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	# remove the built manpage
 	rm -f protoc.1
 
-	cd python && \
-		python2.5 setup.py clean --all ;\
-		rm -rf protobuf.egg-info
+	# Python bindings cleanups
+	cd python && python setup.py clean --all
+	rm -rf python/protobuf.egg-info
+
+	# Java bindings cleanups
+	$(SHELL) ./debian/ant-wrapper -f debian/java-build.xml clean || true
 
 	dh_clean
 
@@ -100,7 +114,7 @@
 
 	# python bindings
 	cd python && \
-		python2.5 setup.py install --no-compile \
+		python setup.py install --no-compile \
 			--root=$(CURDIR)/debian/python-protobuf ; \
 		find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -print0 | \
 			xargs -r0 rm -f
@@ -120,9 +134,14 @@
 
 	dh_install --sourcedir=debian/tmp -s
 
-	# convert doc dir to symlink for the dev package
+	# convert doc dir to symlink for the dev packages
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
-	ln -s libprotobuf3 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	ln -s libprotobuf6 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+	ln -s libprotoc6 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+
+	# remove compiler headers from libprotobuf-dev
+	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler
 
 
 # Must not depend on anything. This is to be called by
@@ -131,10 +150,10 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs CHANGES.txt
-#	dh_installdocs
-#	dh_installexamples
-#	dh_installman
+	dh_installchangelogs CHANGES.txt
+	dh_installdocs
+	dh_installexamples
+	dh_installman
 	dh_link
 	dh_strip
 	dh_compress

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts=\
downloadurlmangle=s|code\.google\.com/p/protobuf/downloads/|protobuf\.googlecode\.com/files/|;\
s/detail\?name=([^&]*).*/$1/,\
filenamemangle=s/detail\?name=([^&]*).*/$1/ \
http://code.google.com/p/protobuf/downloads/list \
        detail\?name=protobuf-(\d+\.\d+[\d.]*)\.tar\.gz(?:&.*)?

## protobuf 2.3.0-0maemo1

=== debian/changelog ===
protobuf (2.3.0-0maemo1) unstable; urgency=low

  * Update to 2.3.0.

 -- Takahiro Hashimoto <aapo.rantalainen@gmail.com>  Sat, 24 Jul 2010 15:37:30 +0900

## protobuf 2.3.0-0maemo2

=== debian/changelog ===
protobuf (2.3.0-0maemo2) unstable; urgency=low

  * Fix missing install files issue libprotobuf-dev.
  * Fix maintainer email address.
 
 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  6 Aug 2010 18:20:37 +0900

## protobuf 2.3.0-0maemo3

=== debian/changelog ===
protobuf (2.3.0-0maemo3) unstable; urgency=low

  * Build again on PR1.3 SDK. 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Fri,  3 Dec 2010 04:18:55 +0900

## protobuf 2.4.0a

=== debian/changelog ===
protobuf (2.4.0a-2ubuntu2) oneiric; urgency=low

  * Switch to dh_python2.  (LP: #788514)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 11 Aug 2011 12:33:37 -0400

protobuf (2.4.0a-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Fix linking with -lpthread.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 May 2011 14:41:47 +0200

protobuf (2.4.0a-2) unstable; urgency=low

  * Re-upload to unstable

 -- Iustin Pop <iustin@debian.org>  Sat, 16 Apr 2011 20:18:28 +0200

protobuf (2.4.0a-1) experimental; urgency=low

  * New upstream version, uploading to experimental due to Python changes
  * Fix "Missing depends on zlib1g-dev", thanks Fernando Tarlá Cardoso Lemos
    (Closes: #608670)
  * Re-enable parallel builds, but only for the C++ sources/tests
  * Enable the C++-based implementation for the Python bindings

 -- Iustin Pop <iustin@debian.org>  Wed, 16 Feb 2011 21:24:42 +0100

protobuf (2.3.0-4ubuntu2) natty; urgency=low

  * Fix linking with -lpthread. LP: #688819.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 06:46:55 +0100

protobuf (2.3.0-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Don't use python2.4 use python instead (submited to Debian
      as Bug#600261)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Oct 2010 10:02:24 +0200

protobuf (2.3.0-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Don't use python2.4 (refreshed this patch)

 -- Elliot Murphy <elliot@ubuntu.com>  Tue, 08 Jun 2010 17:29:12 -0400

protobuf (2.2.0a-0.1ubuntu1) lucid; urgency=low
  * Merge from Debian testing.
  * Remaining Ubuntu changes:
    - Don't use python2.4.
  * Ubuntu changes dropped:
    - Disable death tests on Itanium, fixed upstream.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 11 Feb 2010 11:13:19 +1100

protobuf (2.1.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing.
  * Remaining Ubuntu changes:
    - Disable the death tests on IA64, now as a quilt patch.
    - Don't use python2.4, also as a quilt patch.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 16 Nov 2009 10:41:33 -0600

protobuf (2.0.3-2.2ubuntu2) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:55:20 +0200

protobuf (2.0.3-2.2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - src/google/protobuf/compiler/python/python_generator.cc:
      do not hardcode python2.4
    - src/gtest/internal/gtest-port.h
       disable death tests if architecture is IA64

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 04 Jun 2009 14:47:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: protobuf
 Section: devel
 Priority: extra
-Maintainer: Iustin Pop <iustin@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7), python (>= 2.3.5-11),
+Build-Depends: debhelper (>= 7),
+ python (>= 2.6.6-3~), python-dev (>= 2.6.6-3~),
  python-setuptools (>= 0.6c9), xmlto, ant, zlib1g-dev,
- default-jdk, unzip
-Build-Depends-Indep: python-support (>= 0.6)
+ default-jdk, unzip, chrpath
 Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/protobuf/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/protobuf.git
 Vcs-Git: git://git.debian.org/git/collab-maint/protobuf.git
+X-Python-Version: >= 2.4
 
-Package: libprotobuf6
+Package: libprotobuf7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers C++ library
@@ -29,7 +31,7 @@
  .
  This package contains the runtime library needed for C++ applications.
 
-Package: libprotobuf-lite6
+Package: libprotobuf-lite7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers C++ library (lite version)
@@ -50,8 +52,8 @@
 Package: libprotobuf-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libprotobuf6 (= ${binary:Version}), libprotobuf-lite6 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev,
+ libprotobuf7 (= ${binary:Version}), libprotobuf-lite7 (= ${binary:Version})
 Description: protocol buffers C++ library (development files)
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -67,7 +69,7 @@
  This package contains the development headers and static libraries needed for
  writing C++ applications.
 
-Package: libprotoc6
+Package: libprotoc7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: protocol buffers compiler library
@@ -89,7 +91,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libprotoc6 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
+ libprotoc7 (= ${binary:Version}), libprotobuf-dev (= ${binary:Version})
 Replaces: libprotobuf-dev (<< 2.1.0)
 Breaks: libprotobuf-dev (<< 2.1.0)
 Description: protocol buffers compiler library (development files)
@@ -109,7 +111,7 @@
 
 Package: protobuf-compiler
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc6 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libprotoc7 (= ${binary:Version})
 Description: compiler for protocol buffer definition files
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -127,9 +129,9 @@
  binding for the supported languages.
 
 Package: python-protobuf
-Architecture: all
+Architecture: any
 Section: python
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Recommends: protobuf-compiler
 Description: Python bindings for protocol buffers
@@ -148,6 +150,10 @@
  need the protoc tool (in the protobuf-compiler package) to compile your
  definition to Python classes, and then the modules in this package will allow
  you to use those classes in your programs.
+ .
+ This package contains both the traditional Python-based
+ implementation and the new C++-based one, and you can select at
+ runtime between the two.
 
 Package: libprotobuf-java
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -33,10 +33,12 @@
   CXXFLAGS += -mieee
 endif
 
-#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-#    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-#    MAKEFLAGS += -j$(NUMJOBS)
-#endif
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    PAROPTS = -j$(NUMJOBS)
+else
+    PAROPTS =
+endif
 # end DEB_BUILD_OPTIONS
 
 version=0.0.0
@@ -57,11 +59,24 @@
 build-arch-stamp: configure-stamp
 
 	# Add here commands to compile the arch part of the package.
-	$(MAKE)
+	$(MAKE) $(PAROPTS)
 
 	# run the test suite
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check
+	$(MAKE) $(PAROPTS) check
+endif
+
+	# python bindings
+	cd python && \
+	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp python setup.py build
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# run tests via pure-python
+	cd python && \
+	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=python python setup.py test
+	# run tests via the CPP implementation
+	cd python && \
+	  PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp python setup.py test
 endif
 
 	# build the protoc manpage
@@ -71,13 +86,6 @@
 
 build-indep: build-indep-stamp
 build-indep-stamp: build-arch-stamp
-
-	# python bindings
-	cd python && python setup.py build
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd python && python setup.py test
-endif
 
 	# java bindings
 	# this code mimics mvn package. This should be changed when maven is supported by debian.
@@ -112,13 +120,6 @@
 	dh_prep -i
 	dh_installdirs -i
 
-	# python bindings
-	cd python && \
-		python setup.py install --no-compile \
-			--root=$(CURDIR)/debian/python-protobuf ; \
-		find $(CURDIR)/debian/python-protobuf -name 'protobuf-*-nspkg.pth' -print0 | \
-			xargs -r0 rm -f
-
 	dh_install -i
 
 
@@ -136,13 +137,24 @@
 
 	# convert doc dir to symlink for the dev packages
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
-	ln -s libprotobuf6 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
+	ln -s libprotobuf7 $(CURDIR)/debian/libprotobuf-dev/usr/share/doc/libprotobuf-dev
 	rm -rf $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
-	ln -s libprotoc6 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
+	ln -s libprotoc7 $(CURDIR)/debian/libprotoc-dev/usr/share/doc/libprotoc-dev
 
 	# remove compiler headers from libprotobuf-dev
 	rm -rf $(CURDIR)/debian/libprotobuf-dev/usr/include/google/protobuf/compiler
 
+	# python bindings
+	cd python && PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION=cpp \
+	  python setup.py install --no-compile \
+	    --root=$(CURDIR)/debian/python-protobuf \
+	    --install-layout=deb ; \
+	  find $(CURDIR)/debian/python-protobuf \
+	    -name 'protobuf-*-nspkg.pth' -print0 | \
+	  xargs -r0 rm -f
+	# cleanup RPATH from built bindings
+	find $(CURDIR)/debian/python-protobuf -name '*.so' -print0 | \
+	  xargs -r0 chrpath -d
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
@@ -158,9 +170,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-ifeq ($(DH_OPTIONS),-i)
-	dh_pysupport
-endif
+	dh_python2 --no-guessing-versions
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
